package com.jianshui.invoice.mapper;

import java.util.List;
import com.jianshui.invoice.domain.InvoiceFile;

/**
 * 发票URL存储Mapper接口
 * 
 * @author kk
 * @date 2023-12-04
 */
public interface InvoiceFileMapper 
{
    /**
     * 查询发票URL存储
     * 
     * @param id 发票URL存储主键
     * @return 发票URL存储
     */
    public InvoiceFile selectInvoiceFileById(String id);

    /**
     * 查询发票URL存储列表
     * 
     * @param invoiceFile 发票URL存储
     * @return 发票URL存储集合
     */
    public List<InvoiceFile> selectInvoiceFileList(InvoiceFile invoiceFile);

    /**
     * 新增发票URL存储
     * 
     * @param invoiceFile 发票URL存储
     * @return 结果
     */
    public int insertInvoiceFile(InvoiceFile invoiceFile);

    /**
     * 修改发票URL存储
     * 
     * @param invoiceFile 发票URL存储
     * @return 结果
     */
    public int updateInvoiceFile(InvoiceFile invoiceFile);

    /**
     * 删除发票URL存储
     * 
     * @param id 发票URL存储主键
     * @return 结果
     */
    public int deleteInvoiceFileById(String id);

    /**
     * 批量删除发票URL存储
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteInvoiceFileByIds(String[] ids);
}
